# (c) Alexey Chupahin 12-AUG-2010
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620
C=cc

CFLAGS = /INCLUDE=([-],[], X11, SDL, LIBSDL_MIXER ) /DEFINE=(HAVE_CONFIG_H) \
	 /OPT=(INLINE=SPEED) /NOMEMBER /FLOAT=IEEE/name=(short)

OBJ=\
am_map.obj,\
doomdef.obj,\
doomstat.obj,\
dstrings.obj,\
d_client.obj,\
d_deh.obj,\
d_items.obj,\
d_main.obj,\
f_finale.obj,\
f_wipe.obj,\
g_game.obj,\
hu_lib.obj,\
hu_stuff.obj,\
info.obj,\
lprintf.obj,\
m_argv.obj,\
m_bbox.obj,\
m_cheat.obj,\
m_menu.obj,\
m_misc.obj,\
m_random.obj,\
md5.obj,\
p_ceilng.obj,\
p_doors.obj,\
p_checksum.obj,\
p_enemy.obj,\
p_floor.obj,\
p_genlin.obj,\
p_inter.obj,\
p_lights.obj,\
p_map.obj,\
p_maputl.obj,\
p_mobj.obj,\
p_plats.obj,\
p_pspr.obj,\
p_saveg.obj,\
p_setup.obj,\
p_sight.obj,\
p_spec.obj,\
p_switch.obj,\
p_telept.obj,\
p_tick.obj,\
p_user.obj,\
r_bsp.obj,\
r_fps.obj,\
r_filter.obj,\
r_data.obj,\
r_draw.obj,\
r_demo.obj,\
r_main.obj,\
r_plane.obj,\
r_patch.obj,\
r_segs.obj,\
r_sky.obj,\
r_things.obj,\
sounds.obj,\
st_lib.obj,\
st_stuff.obj,\
s_sound.obj,\
tables.obj,\
version.obj,\
v_video.obj,\
wi_stuff.obj,\
w_wad.obj,\
w_mmap.obj,\
z_bmalloc.obj,\
z_zone.obj,\
[.SDL]i_main.obj,\
[.SDL]i_joy.obj,\
[.SDL]i_sound.obj,\
[.SDL]i_sshot.obj,\
[.SDL]i_system.obj,\
[.SDL]i_video.obj

ALL : DOOM.EXE
        $!


DOOM.OLB : $(OBJ)
        LIB/CREA DOOM.OLB $(OBJ)

am_map.obj : am_map.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

doomdef.obj : doomdef.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

doomstat.obj : doomstat.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dstrings.obj : dstrings.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

d_client.obj : d_client.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

d_deh.obj : d_deh.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

d_items.obj : d_items.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

[.SDL]i_sshot.obj : [.SDL]i_sshot.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

d_main.obj : d_main.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

d_server.obj : d_server.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

f_finale.obj : f_finale.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

f_wipe.obj : f_wipe.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

gl_main.obj : gl_main.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

gl_texture.obj : gl_texture.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

g_game.obj : g_game.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

hu_lib.obj : hu_lib.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

hu_stuff.obj : hu_stuff.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

info.obj : info.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

[.SDL]i_main.obj : [.SDL]i_main.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

i_udp_sdl.obj : i_udp_sdl.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lprintf.obj : lprintf.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

m_argv.obj : m_argv.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

m_bbox.obj : m_bbox.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

m_cheat.obj : m_cheat.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

m_menu.obj : m_menu.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

md5.obj : md5.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

m_misc.obj : m_misc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

m_random.obj : m_random.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_ceilng.obj : p_ceilng.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_doors.obj : p_doors.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_enemy.obj : p_enemy.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_floor.obj : p_floor.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_genlin.obj : p_genlin.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_inter.obj : p_inter.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_lights.obj : p_lights.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_map.obj : p_map.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_maputl.obj : p_maputl.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_mobj.obj : p_mobj.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_plats.obj : p_plats.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_checksum.obj : p_checksum.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_patch.obj : p_patch.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_pspr.obj : p_pspr.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_saveg.obj : p_saveg.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_setup.obj : p_setup.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_sight.obj : p_sight.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_spec.obj : p_spec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_switch.obj : p_switch.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_telept.obj : p_telept.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_tick.obj : p_tick.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

p_user.obj : p_user.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_bsp.obj : r_bsp.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_data.obj : r_data.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_draw.obj : r_draw.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_demo.obj : r_demo.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_main.obj : r_main.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_patch.obj : r_patch.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_plane.obj : r_plane.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_segs.obj : r_segs.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_filter.obj : r_filter.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_fps.obj : r_fps.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_sky.obj : r_sky.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

r_things.obj : r_things.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sounds.obj : sounds.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

st_lib.obj : st_lib.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

st_stuff.obj : st_stuff.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

s_sound.obj : s_sound.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

tables.obj : tables.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

version.obj : version.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

v_video.obj : v_video.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

wi_stuff.obj : wi_stuff.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

w_wad.obj : w_wad.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

w_mmap.obj : w_mmap.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

z_bmalloc.obj : z_bmalloc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

z_zone.obj : z_zone.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

[.SDL]i_joy.obj : [.SDL]i_joy.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

[.SDL]i_sound.obj : [.SDL]i_sound.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

[.SDL]i_system.obj : [.SDL]i_system.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

[.SDL]i_video.obj : [.SDL]i_video.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

DOOM.EXE : DOOM.OLB
        LINK/EXE=DOOM.EXE [.SDL]I_MAIN,[]DOOM/LIB,libsdl:libsdl$shr/opt,libsdl_mixer:libsdl_mixer/opt
